org.eclipse.emf.compare.rcp.ui.mergeviewer

## Interface IMergeViewer

All Superinterfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

All Known Implementing Classes:
  AbstractMergeViewer, AbstractStructuredMergeViewer, AbstractTableOrTreeMergeViewer, TableMergeViewer, TreeMergeViewer

    public interface IMergeViewer
    extends org.eclipse.jface.viewers.IInputSelectionProvider

A specific `IInputSelectionProvider` for EMF Compare.

Since:
  4.0

### Nested Class Summary

Nested Classes
`static class` `IMergeViewer.MergeViewerSide` An enum that represents the side of the viewer and provides utilty methods to manage sides.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.swt.widgets.Control` `getControl()` Returns the primary control associated with this viewer.
`IMergeViewer.MergeViewerSide` `getSide()`
`void` `refresh()` Refreshes this viewer completely with information freshly obtained from this viewer's model.
`void` `setInput(Object input)` Sets or clears the input for this viewer.
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)` Sets a new selection for this viewer and optionally makes it visible.

### Methods inherited from interface org.eclipse.jface.viewers.IInputProvider

`getInput`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, getSelection, removeSelectionChangedListener, setSelection`

### Method Detail

#### getSide

    IMergeViewer.MergeViewerSide getSide()

#### getControl

    org.eclipse.swt.widgets.Control getControl()

Returns the primary control associated with this viewer.

Returns:
  the SWT control which displays this viewer's content

#### refresh

    void refresh()

Refreshes this viewer completely with information freshly obtained from this viewer's model.

#### setInput

    void setInput(Object input)

Sets or clears the input for this viewer.

Parameters:
  `input` - the input of this viewer, or `null` if none

#### setSelection

    void setSelection(org.eclipse.jface.viewers.ISelection selection,
                      boolean reveal)

Sets a new selection for this viewer and optionally makes it visible.

Subclasses must implement this method.

Parameters:
  `selection` - the new selection
  `reveal` - `true` if the selection is to be made visible, and `false` otherwise